Bug 53931 - tftpd, multiple prefix function broken
tftpd, multiple prefix function broken
Product: Red Hat Public Beta
Classification: Retired
Component: tftp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-09-21 23:05 EDT by ae
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-25 10:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ae 2001-09-21 23:05:47 EDT
Description of Problem:
"man tftpd" says 
	Access to files may be restricted by invoking tftpd with a list of direc-
	tories by including pathnames as server program arguments ...
but I get this behaviour only with the first such directory.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1.  make /etc/xinetd.d/tftpd say
	server_args             = /tftpboot /usr/lib/X11/ncd
2.  /etc/rc.d/init.d/xinetd restart
3.  tftp the-roswell-machine
     tftp> get /tftpboot/somefile
     tftp> get /usr/lib/X11/ncd/otherfile
              (access violation)
Actual Results:

     see above

Expected Results:

     see above

Additional Information:
     correct in Seawolf.
Comment 1 Phil Knirsch 2001-10-25 10:00:39 EDT
Just tested it with tftp-server-0.17-14 and had no problems.

Have you verified that the directory and the files are world readable as the
tftp server will run as nobody?
Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.